Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks.arrangeBlock
Class BetaprimeProbability

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.blocks.arrangeBlock.ShareableProbabilityArrangeBase
              de.grogra.blocks.arrangeBlock.BetaprimeProbability

All Implemented Interfaces:
  ProbabilityArrangeMethod, Manageable, Shareable

    public class BetaprimeProbability

extends ShareableProbabilityArrangeBase
implements ProbabilityArrangeMethod

Nested Class Summary
`static class` | `BetaprimeProbability.Type`

Field Summary
`static BetaprimeProbability.Type` | `$TYPE`
`static SCOType.Field` | `shape_a$FIELD`
`static SCOType.Field` | `shape_b$FIELD`

Fields inherited from class de.grogra.blocks.arrangeBlock.ShareableProbabilityArrangeBase
`probabilityValues, source`

Constructor Summary
`BetaprimeProbability()`

Method Summary
`void` | `calculate()`
`ManageableType` | `getManageableType()`
`float` | `getShape_a()`
`float` | `getShape_b()`
`void` | `setShape_a(float value)`
`void` | `setShape_b(float value)`

Methods inherited from class de.grogra.blocks.arrangeBlock.ShareableProbabilityArrangeBase
`getProbabilityValues`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.blocks.arrangeBlock.ProbabilityArrangeMethod
`getProbabilityValues`

Field Detail

### $TYPE

    public static final BetaprimeProbability.Type $TYPE

### shape_a$FIELD

    public static final SCOType.Field shape_a$FIELD

### shape_b$FIELD

    public static final SCOType.Field shape_b$FIELD

Constructor Detail

### BetaprimeProbability

    public BetaprimeProbability()

Method Detail

### calculate

    public void calculate()

  Specified by:
    `calculate` in class `ShareableProbabilityArrangeBase`

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getShape_a

    public float getShape_a()

### getShape_b

    public float getShape_b()

### setShape_a

    public void setShape_a(float value)

### setShape_b

    public void setShape_b(float value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD